//
//  ViewController.swift
//
//  Created by Laura Sempere on 6/11/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import UIKit
import GoogleSignIn

class LoginViewController: UIViewController, GoogleLoginComplete {
    
    @IBOutlet weak var siginModalView: ModalView!
    @IBOutlet weak var spinner: UIActivityIndicatorView!
    @IBOutlet weak var signinButtonsView: UIView!
    @IBOutlet weak var loadingBackground: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        AuthService.instance.googleLoginCompleteDelegate = self
        toggleActivityIndicator(status: false)
    }

    func toggleActivityIndicator(status: Bool) {
        if status == true {
            loadingBackground.isHidden = false
            spinner.startAnimating()
            spinner.isHidden = false
        } else {
            loadingBackground.isHidden = true
            spinner.stopAnimating()
            spinner.isHidden = true
        }
    }
    
    func googleLoginComplete(loginComplete: Bool) {
        toggleActivityIndicator(status: false)
        if loginComplete == true {
            self.dismiss(animated: true, completion: nil)
        }
    }
    
    
    @IBAction func googleLoginButtonWasPressed(_ sender: Any) {
        toggleActivityIndicator(status: true)
        AuthService.instance.googleLogin()
    }
    

    @IBAction func facebookLoginButtonWasPressed(_ sender: Any) {
        toggleActivityIndicator(status: true)
        AuthService.instance.facebookLogin(sender: self) { (loginComplete, error) in
            self.toggleActivityIndicator(status: false)
            if loginComplete == true {
                self.dismiss(animated: true, completion: nil)
            }
        }
    }
}

    

    
    
    
    

    


