//
//  AlertViewController.swift
//
//  Created by Laura Sempere on 26/11/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import UIKit

typealias ConfirmationAction = (() -> Void)

import UIKit

class ModalViewController: UIViewController, UIGestureRecognizerDelegate {
    
    @IBOutlet var modalView: UIView!
    var backgroundColor:UIColor = UIColor.white
    var enableBackgroundTap:Bool = true
    var animationDuration:TimeInterval = 0.4
    
    override func viewDidLoad() {
        super.viewDidLoad()
        if enableBackgroundTap {
            let backgroundViewTap = UITapGestureRecognizer(target: self, action: #selector(dismissView))
            backgroundViewTap.delegate = self
            view.addGestureRecognizer(backgroundViewTap)
            let modalViewTap = UITapGestureRecognizer(target: self, action: nil)
            modalView.addGestureRecognizer(modalViewTap)
        }
        
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        setupView()
        animateView()
    }
    
    override func viewDidLayoutSubviews() {
        super.viewDidLayoutSubviews()
        view.layoutIfNeeded()
    }
    
    @objc func dismissView() {
        dismiss(animated: true, completion: nil)
    }
    
    func disableBackgroundTap() {
        view.isUserInteractionEnabled = false
    }
    
    func enableBackgroudTap() {
        view.isUserInteractionEnabled = true
    }
    
    func setupView() {
        self.view.backgroundColor = backgroundColor.withAlphaComponent(0.6)
    }
    
    func animateView() {
        modalView.alpha = 0;
        self.modalView.frame.origin.y = self.modalView.frame.origin.y + 50
        UIView.animate(withDuration: animationDuration, animations: { () -> Void in
            self.modalView.alpha = 1.0;
            self.modalView.frame.origin.y = self.modalView.frame.origin.y - 50
        })
    }
}

