//
//  Helpers.swift
//
//  Created by Laura Sempere on 10/12/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import UIKit

typealias CompletionStatus = (_ status:Bool) -> Void

func getTopViewController() -> UIViewController {
    var viewController = UIViewController()
    if let vc =  UIApplication.shared.delegate?.window??.rootViewController {
        
        viewController = vc
        var presented = vc
        
        while let top = presented.presentedViewController {
            presented = top
            viewController = top
        }
    }
    
    return viewController
}

func performUIUpdatesOnMain(updates: @escaping ()->Void) {
    DispatchQueue.main.async {
        updates()
    }
}
