//
//  Word.swift
//
//  Created by Laura Sempere on 3/12/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import Foundation

enum GeneralCategories {
    case bodyParts, physicCharacteristics, personality, nationalities, personalObjects, proffesions
    
    func toIdString() -> String {
        switch self {
        case .bodyParts: return "body_parts"
        case .physicCharacteristics: return "physic_characteristics"
        case .personality: return "personality"
        case .nationalities: return "nationalities"
        case .personalObjects: return "personal_objects"
        case .proffesions: return "proffesions"
        }
    }
    
    func getTitle() -> String {
        switch self {
        case .bodyParts: return "Partes del cuerpo"
        case .nationalities: return "Nacionalidades"
        case .physicCharacteristics: return "Características Físicas"
        case .personality: return "Personalidad"
        case .personalObjects: return "Objetos Personales"
        case .proffesions: return "Profesiones"
        }
    }
}

struct Word:Codable {
    let id: String
    let name:String
    let image:String
    let level:String?
    let location:String?
    let category:String?
    var categoryType:GeneralCategories? {
        guard let category = self.category else { return nil }
        switch category {
        case "body_parts": return .bodyParts
        case "nationalities": return .nationalities
        default: return nil
        }
    }
}
