//
//  SCNVector3Extension.swift
//
//  Created by Laura Sempere on 3/12/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import Foundation
import SceneKit

extension SCNVector3 {
    
    func length() -> Float {
        return sqrtf(x*x + y*y + z*z)
    }
    
    static func +(lhv:SCNVector3, rhv:SCNVector3) -> SCNVector3 {
        return SCNVector3(lhv.x + rhv.x, lhv.y + rhv.y, lhv.z + rhv.z)
    }
    
    static func - (left: SCNVector3, right: SCNVector3) -> SCNVector3 {
        return SCNVector3Make(left.x - right.x, left.y - right.y, left.z - right.z)
    }
    
    func distance(vector: SCNVector3) -> Float {
        return (self - vector).length()
    }
    
}


