//
//  GoogleStorage.swift
//
//  Created by Laura Sempere on 10/12/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import Foundation
import FirebaseStorage
import UIKit

fileprivate let storage = Storage.storage()
fileprivate let storageRef = storage.reference()

struct GoogleStorage {
    let WORDS_IMAGES_REF = storageRef.child("images/words/")
    let MAX_SIZE:Int64 = 1 * 1024 * 1024
    
    func getImage(imageName:String, completion: @escaping (_ image: UIImage?) -> Void){
        WORDS_IMAGES_REF.child(imageName).getData(maxSize: MAX_SIZE) { (data, error) in
            if let data = data  {
                completion(UIImage(data: data))
            } else {
                completion(nil)
            }
        }
    }
    
}
