//
//  ImageDownloader.swift
//
//  Created by Laura Sempere on 17/12/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import Foundation
import Alamofire
import AlamofireImage

struct ImageDownloader {
    
    static func getImageFor(url:URL, completion: @escaping (_ image:Image?) -> Void)  {
        Alamofire.request(url).responseImage { response in
            switch response.result {
            case .failure(_):
                // TODO: Handle Error
                completion(nil)
                break
            case .success(_):
                if let image = response.value {
                    completion(image)
                }
                break
            }
        }
    }
}

