//
//  ModalView.swift
//
//  Created by Laura Sempere on 14/11/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import UIKit

@IBDesignable
class ModalView: NibView {
    
    @IBOutlet weak var backgroundView: UIView!
    @IBOutlet weak var iconBackground: UIImageView!
    @IBOutlet weak var icon: UIImageView!
    
    var customIconName: String = "" {
        didSet {
            print("====== DID UPDATE")
//            updateIconImage()
        }
    }
    
    func updateIconImage() {
        icon.image = UIImage(named: customIconName)
    }
    
    override func awakeFromNib() {
        print("====== AWAKE FROM NIB========== ")
        super.awakeFromNib()
        let cornerRadius = self.frame.width / 12
        
        backgroundView.layer.cornerRadius = cornerRadius
        backgroundView.layer.opacity = 0.8
        backgroundView.layer.shadowColor = UIColor.black.cgColor
        backgroundView.layer.shadowOpacity = 0.7
        backgroundView.layer.shadowRadius = 3
        backgroundView.layer.shadowOffset = CGSize(width: 2, height: 2)
        
    }
}
