//
//  RoundedButton.swift
//
//  Created by Laura Sempere on 14/11/2017.
//  Copyright © 2017 laurasempere. All rights reserved.
//

import UIKit

var BORDER_RADIUS:CGFloat = 24

class RoundedButton: UIButton {
    
    @IBInspectable
    var borderRadius:CGFloat = BORDER_RADIUS {
        didSet {
            self.setNeedsLayout()
        }
    }
    
    @IBInspectable
    var automaticFont:Bool = true {
        didSet {
            self.setNeedsLayout()
        }
    }
    
    @IBInspectable
    var isRounded:Bool = false {
        didSet {
            self.setNeedsLayout()
        }
    }

    override func awakeFromNib() {
        super.awakeFromNib()
        layer.cornerRadius = borderRadius
        self.clipsToBounds = true
        if automaticFont {
            self.titleLabel?.font = UIFont(name: "SF-Pro-Display-Bold", size: 16)
            self.titleLabel?.textColor = UIColor.white
            self.setTitle(self.titleLabel?.text?.uppercased(), for: UIControlState.normal)
        }
        
        if !isRounded{
           self.heightAnchor.constraint(equalToConstant: 48).isActive = true
        }
    }
    

}
